@font-face {
	font-family: "digital-7";
	src: url("./digital-7.ttf");
}

.box {
	width: 80px;
	height: 80px;
	min-width: 80px;
	background-color: black;
	color: #ff6900;
	text-align: center;
	position: absolute;
	left: 0px;
	top: 0px;
}

#time {
	font-size: 32px;
	line-height: 20px;
	font-family: "digital-7", sans-serif;
}

#seconds {
	font-size: 25px;
}

#blinker {
	animation: blinker 1s infinite;
	margin: 0 -5px;
}

@keyframes blinker {
	50% {
		opacity: 0;
	}
}

#controls {
	margin-top: 150px;
	display: flex;
}

.column {
	float: left;
	margin-right: 50px;
	width: 50%;
}

.control {
	padding-bottom: 25px;
	padding-right: 10px;
	border-bottom: 2px solid #323212;
	border-right: 2px solid #323212;
}

.status-light {
	width: 20px;
	height: 20px;
	border-radius: 50%;
	margin-top: 10px;
}

.status-light.on {
	background-color: #197919;
}

.status-light.off {
	background-color: #cb1818;
}

#currentDirection,
#currentSpeed {
	font-weight: 900;
}

input[type="radio"]:after {
	width: 12px;
	height: 12px;
	border-radius: 15px;
	top: -2px;
	left: -1px;
	position: relative;
	background-color: #d1d3d1;
	content: "";
	display: inline-block;
	visibility: visible;
	border: 2px solid white;
}

input[type="radio"]:checked:after {
	width: 12;
	height: 12px;
	border-radius: 15px;
	top: -2px;
	left: -1px;
	position: relative;
	background-color: #ff6900;
	content: "";
	display: inline-block;
	visibility: visible;
	border: 2px solid white;
}

/* TOGGLE SWITCH */
/* The switch - the box around the slider */
.switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
	opacity: 0;
	width: 0;
	height: 0;
}

/* The slider */
.slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	-webkit-transition: 0.4s;
	transition: 0.4s;
}

.slider:before {
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	-webkit-transition: 0.4s;
	transition: 0.4s;
}

input:checked + .slider {
	background-color: #ff6900;
}

input:focus + .slider {
	box-shadow: 0 0 1px #ff6900;
}

input:checked + .slider:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
	border-radius: 34px;
}

.slider.round:before {
	border-radius: 50%;
}

@media (prefers-color-scheme: dark) {
	body {
		background-color: #222222;
		color: #d1d3d1;
	}

	.control {
		border-bottom: 2px solid #888888;
		border-right: 2px solid #888888;
	}
}
